/*
IMPORTANT:
In order to preserve the uniform grid appearance, all cell styles need to have padding, margin and border sizes.
No built-in (selected, editable, highlight, flashing, invalid, loading, :focus) or user-specified CSS
classes should alter those!
*/

.slick-header-columns {
  background: url(images/header-columns-bg.gif) repeat-x center bottom;
  border-bottom: 1px solid silver;
  color: Black;
}

.slick-header-column {
  background: url(images/header-columns-bg.gif) repeat-x center bottom;
  border-right: 1px solid silver;
  color: Black;
}

.slick-header-column:hover, .slick-header-column-active {
  background: white url(images/header-columns-over-bg.gif) repeat-x center bottom;
}

.slick-headerrow {
  background: #fafafa;
}

.slick-headerrow-column {
  background: #fafafa;
  border-bottom: 0;
  height: 100%;
}

.slick-row.ui-state-active {
  background: #F5F7D7;
}

.slick-row {
  position: absolute;
  background: white;
  border: 0px;
  line-height: 20px;
  color: Black;
}

.slick-row.selected {
  z-index: 10;
  background: #DFE8F6;
}

.slick-cell {
  padding-left: 2px;
  padding-right: 2px;
}

.slick-group {
  border-bottom: 2px solid silver;
}

.slick-group-toggle {
  width: 9px;
  height: 9px;
  margin-right: 5px;
}

.slick-group-toggle.expanded {
  background: url(images/collapse.gif) no-repeat center center;
}

.slick-group-toggle.collapsed {
  background: url(images/expand.gif) no-repeat center center;
}

.slick-group-totals {
  color: gray;
  background: white;
}

.slick-cell.selected {
  background-color: beige;
}

.slick-cell.active {
  border-color: gray;
  border-style: solid;
}

.slick-sortable-placeholder {
  background: silver !important;
}

.slick-row.odd {
  background: #fafafa;
  color: Black;
}

.slick-row.ui-state-active {
  background: #F5F7D7;
}

.slick-row.loading {
  opacity: 0.5;
  filter: alpha(opacity = 50);
}

.slick-cell.invalid {
  border-color: red;
}

/* Slick.Editors.Text, Slick.Editors.Date */
input.editor-text {
  width: 100%;
  height: 100%;
  border: 0;
  margin: 0;
  background: transparent;
  outline: 0;
  padding: 0;

}

/* Slick.Editors.Integer */
input.editor-integer {
  width: 100%;
  height: 100%;
  border: 0;
  margin: 0;
  background: transparent;
  outline: 0;
  padding: 0;

}

/* Slick.Editors.Float */
input.editor-float {
  width: 100%;
  height: 100%;
  border: 0;
  margin: 0;
  background: transparent;
  outline: 0;
  padding: 0;

}

.ui-datepicker-trigger {
  margin-top: 2px;
  padding: 0;
  vertical-align: top;
}
 .slick-headerrow-column {
      text-overflow: clip;
      -moz-box-sizing: border-box;
      box-sizing: border-box;
    }

    .slickHeaderFilter {
      margin: 0;
      padding: 0;
      width: 100%;
      height: 100%;
      -moz-box-sizing: border-box;
      box-sizing: border-box;
    }
    